Bug 500812 - pango-devel appears to have unnecesary dependancies
pango-devel appears to have unnecesary dependancies
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pango (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Matthias Clasen
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-14 06:36 EDT by James Findley
Modified: 2010-10-07 02:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-07 02:12:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Findley 2009-05-14 06:36:36 EDT
Description of problem:

Installing pango-devel pulls the following dependencies:

libX11-devel           
libXau-devel           
libXdmcp-devel         
libXext-devel          
libXft-devel           
libXrender-devel       
libpng-devel           
mesa-libGL-devel       
xorg-x11-proto-devel   
zlib-devel      

which does not seem correct.

Version-Release number of selected component (if applicable):

pango-devel-1.14.9-5.el5_3

How reproducible:

Every time


Steps to Reproduce:
1. yum install pango-devel
2.
3.
  
Actual results:

The above dependencies (in addition to those that look sensible) are installed

Expected results:

pango-devel does not pull in xorg-* and libX* packages

Additional info:
Comment 1 Parag Nemade 2010-01-29 02:00:59 EST
I think its needed for pango-view demo binary.
Comment 2 Behdad Esfahbod 2010-01-29 17:36:31 EST
It would become a bit cleaner after I drop pangox.
Comment 3 Parag Nemade 2010-10-07 02:12:28 EDT
I see that 
rpm -qp --requires pango-devel-1.14.9-5.el5_3.x86_64.rpm 
cairo-devel >= 1.2.2
fontconfig-devel >= 2.0
freetype-devel >= 2.1.3-3
glib2-devel >= 2.12.0-1
libX11-devel  
libX11.so.6()(64bit)  
libXext-devel  
libXft-devel  
libXft.so.2()(64bit)  
libXrender-devel  
libXrender.so.1()(64bit)  
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.3.4)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
libcairo.so.2()(64bit)  
libdl.so.2()(64bit)  
libfontconfig.so.1()(64bit)  
libfreetype.so.6()(64bit)  
libglib-2.0.so.0()(64bit)  
libgmodule-2.0.so.0()(64bit)  
libgobject-2.0.so.0()(64bit)  
libm.so.6()(64bit)  
libpango-1.0.so.0()(64bit)  
libpangocairo-1.0.so.0()(64bit)  
libpangoft2-1.0.so.0()(64bit)  
libpangox-1.0.so.0()(64bit)  
libpangoxft-1.0.so.0()(64bit)  
pango = 1.14.9


This does not look like a bug to me. Closing this. If reporter wants he can re-open this bug.

Note You need to log in before you can comment on or make changes to this bug.